# currentUserUpdate

Update the profile of the current user

**Scope required:** standard:write

For a complete list of input attributes see the [CurrentUserAttributes](/developer/api-reference/types/currentuserattributes.md) type

```graphql
mutation currentUserUpdate ($attributes: CurrentUserAttributes!) {
  currentUserUpdate (attributes: $attributes) {
      emailBody
      emailSubject
      entityId
      errors
      firstName
      lastName
      profile {
        phone
        tabnameIsSubdomain
        timezone
        title
      }
  }
}
```

## Arguments

```json
{
  "attributes": {
    "profile": {
      "phone": "",
      "title": "",
      "timezone": "",
      "tabnameIsSubdomain": true
    },
    "firstName": "",
    "lastName": "",
    "entityId": "456123",
    "emailSubject": "",
    "emailBody": ""
  }
}
```

| Name       | Type                                                                             | Description |
| ---------- | -------------------------------------------------------------------------------- | ----------- |
| attributes | [CurrentUserAttributes](/developer/api-reference/types/currentuserattributes.md) |             |

## Response

| Name         | Type                                                         | Description |
| ------------ | ------------------------------------------------------------ | ----------- |
| emailBody    | String                                                       |             |
| emailSubject | String                                                       |             |
| entityId     | ID                                                           |             |
| errors       | List (String)                                                |             |
| firstName    | String                                                       |             |
| lastName     | String                                                       |             |
| profile      | [UserProfile](/developer/api-reference/types/userprofile.md) |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/mutations/currentuserupdate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
